import java.util.Scanner;
import java.util.InputMismatchException;

public class ReadNumbers2 {
    public static void main(String[] args){
    	Scanner kbScanner = new Scanner(System.in);
    	int num1;
      double num2, sum;
    	try{
        	System.out.println("Enter an integer value: ");
        	num1 = kbScanner.nextInt();
        	System.out.println("Enter a floating-point value: ");
        	num2 = kbScanner.nextDouble();
        	sum = num1 + num2;
        	System.out.println(num1 + " + " + num2 + " = " + sum);
    	}catch(InputMismatchException e){
    		System.out.println("Error!: " + e);
    	}
    }
}
